Module org.jfree.chart3d
Package org.jfree.chart3d.label

# Interface CategoryLabelGenerator<S extends Comparable<S>,R extends Comparable<R>,C extends Comparable<C>>

Type Parameters:
  `S` - The series key type (must implement Comparable).
  `R` - The row key type (must implement Comparable).
  `C` - The column key type (must implement Comparable).

All Known Implementing Classes:
  `StandardCategoryLabelGenerator`

public interface CategoryLabelGenerator<S extends Comparable<S>,R extends Comparable<R>,C extends Comparable<C>>
A label generator for category charts, used to create labels for the axes and for the chart legend. The (`StandardCategoryLabelGenerator`) class provides the default implementation.
Note that a different generator is used for item labels in a `CategoryPlot3D` - see the `CategoryItemLabelGenerator` interface.

Since:
  1.2

## Method Summary

Modifier and Type
Method
Description
`String`
`generateColumnLabel(CategoryDataset3D<S,R,C> dataset, C columnKey)`
Generates a label for one column in a `CategoryDataset3D`.
`String`
`generateRowLabel(CategoryDataset3D<S,R,C> dataset, R rowKey)`
Generates a label for one row in a `CategoryDataset3D`.
`String`
`generateSeriesLabel(CategoryDataset3D<S,R,C> dataset, S seriesKey)`
Generates a label for one series in a `CategoryDataset3D`.

## Method Details

### generateSeriesLabel

String generateSeriesLabel(CategoryDataset3D<S,R,C> dataset, S seriesKey)
Generates a label for one series in a `CategoryDataset3D`.

Parameters:
  `dataset` - the dataset (`null` not permitted).
  `seriesKey` - the series key (`null` not permitted).
Returns:
  The series label (possibly `null`).

### generateRowLabel

String generateRowLabel(CategoryDataset3D<S,R,C> dataset, R rowKey)
Generates a label for one row in a `CategoryDataset3D`.

Parameters:
  `dataset` - the dataset (`null` not permitted).
  `rowKey` - the key (`null` not permitted).
Returns:
  The row label (possibly `null`).

### generateColumnLabel

String generateColumnLabel(CategoryDataset3D<S,R,C> dataset, C columnKey)
Generates a label for one column in a `CategoryDataset3D`.

Parameters:
  `dataset` - the dataset (`null` not permitted).
  `columnKey` - the key (`null` not permitted).
Returns:
  The column label (possibly `null`).